messages.h File Reference

Go to the source code of this file.

## Macros

#define | PRINT(x)
| Prints to serial. More...
#define | PRINTLN(x)
| Prints to serial and starts a new line. More...
#define | DEBUG(x)
| Prints to serial. More...
#define | DEBUGLN(x)
| Prints to serial and starts a new line. More...
#define | DEBUG2(x, y)
| Prints two variables to serial. More...
#define | DEBUGLN2(x, y)
| Prints two variables to serial and starts a new line. More...
#define | START(x)
| Prints to serial and records the current millisecond. More...
#define | STOP()
| Prints the time passed since START(x) was called to serial. More...

## Detailed Description

Messages output macros.

## Macro Definition Documentation

#define DEBUG | ( |  | x | ) |

Prints to serial.

#define DEBUG2 | ( |  | x,
|  |  | y
| ) |  |

Prints two variables to serial.

#define DEBUGLN | ( |  | x | ) |

Prints to serial and starts a new line.

#define DEBUGLN2 | ( |  | x,
|  |  | y
| ) |  |

Prints two variables to serial and starts a new line.

#define PRINT | ( |  | x | ) |

Prints to serial.

#define PRINTLN | ( |  | x | ) |

Prints to serial and starts a new line.

#define START | ( |  | x | ) |

Prints to serial and records the current millisecond.

#define STOP | ( |  | ) |

Prints the time passed since START(x) was called to serial.